PrebuiltLibraries (Gradle API 9.6.0)
Description: declaration: package: org.gradle.nativeplatform, interface: PrebuiltLibraries

Package org.gradle.nativeplatform

# Interface PrebuiltLibraries

All Superinterfaces:
  `ArtifactRepository`, `Collection<PrebuiltLibrary>`, `DomainObjectCollection<PrebuiltLibrary>`, `DomainObjectSet<PrebuiltLibrary>`, `Iterable<PrebuiltLibrary>`, `NamedDomainObjectCollection<PrebuiltLibrary>`, `NamedDomainObjectSet<PrebuiltLibrary>`, `Set<PrebuiltLibrary>`

@Incubating public interface PrebuiltLibraries extends ArtifactRepository, NamedDomainObjectSet<PrebuiltLibrary>
A container of `PrebuiltLibrary` instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrebuiltLibrary`
  `resolveLibrary(String name)`

  ### Methods inherited from interface org.gradle.api.artifacts.repositories.ArtifactRepository

  `content, getName, setName`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### resolveLibrary

    PrebuiltLibrary resolveLibrary(String name)